<?php
global $post;
$options = new MaxGalleryOptions($post->ID);

if(get_option('show_template_ad', "on") === "on")
  $show_temp_ad = true;
else
  $show_temp_ad = false;

// Get all templates
global $maxgalleria;
$all_templates = $maxgalleria->get_template_addons();

// Filter for image templates
$image_templates = array();
foreach ($all_templates as $template) {
	if ($template['subtype'] == 'image') {
		$arr = array($template['key'] => array('name' => $template['name'], 'image' => $template['image']));
		$image_templates = array_merge($image_templates, $arr);
	}
}

// Filter for video templates
$video_templates = array();
foreach ($all_templates as $template) {
	if ($template['subtype'] == 'video') {
		$arr = array($template['key'] => array('name' => $template['name'], 'image' => $template['image']));
		$video_templates = array_merge($video_templates, $arr);
	}
}

// Default to image templates
$templates = $image_templates;

// But check to see if it should use video templates
if ($options->is_video_gallery()) {
	$templates = $video_templates;
}

asort($templates);
?>

<script type="text/javascript">		
	jQuery(document).ready(function() {
		jQuery(".meta-options .meta-template img").click(function() {
			var images = jQuery(".meta-options .meta-template img");
			jQuery.each(images, function() {
				jQuery(this).removeClass("selected");
			});
			
			jQuery(this).addClass("selected");
			jQuery(this).next().attr("checked", true);
			
			jQuery("#post").submit();
			return false;
		});
		
	jQuery("#add-close-btn").click(function() {
		jQuery.ajax({
			type: "POST",
			async: true,
			data: { action: "mg_hide_template_ad",  nonce: "<?php echo wp_create_nonce(MG_META_NONCE); ?>" },
			url: "<?php echo admin_url('admin-ajax.php') ?>",
			dataType: "html",
			success: function (data) {
				jQuery("#mg-template-ad").hide();          
			},
			error: function (err)
				{ alert(err.responseText);}
		});

	});		
		
	});
</script>

<div class="meta-options">
<div class="meta-ad-box">	
	<?php if (count($templates) > 0) { ?>
		<?php foreach ($templates as $key => $template) { ?>
			<div class="meta-template">
				<img src="<?php echo $template['image'] ?>" alt="<?php echo $template['name'] ?>" title="<?php echo $template['name'] ?>" <?php echo ($options->get_template() == $key) ? 'class="selected"' : '' ?> />
				<input type="radio" name="<?php echo $options->template_key ?>" id="<?php echo $options->template_key ?>_<?php echo $key ?>" value="<?php echo $key ?>" <?php echo ($options->get_template() == $key) ? 'checked="checked"' : '' ?> />
				<br />
				<?php echo $template['name'] ?>			
			</div>
		<?php } ?>
		
		<!-- Saves count is for internal use only -->
		<input type="hidden" id="<?php echo $options->saves_count_key ?>" name="<?php echo $options->saves_count_key ?>" value="<?php echo $options->get_saves_count() ?>" />
	<?php } else { ?>
		<?php if ($options->is_image_gallery()) { ?>
			<p class="no-templates"><?php _e('You do not have any image gallery templates installed.', 'maxgalleria')?></p>
		<?php } ?>
		
		<?php if ($options->is_video_gallery()) { ?>
			<p class="no-templates"><?php _e('You do not have any video gallery templates installed.', 'maxgalleria')?></p>
		<?php } ?>
	<?php } ?>
</div>
<?php if($show_temp_ad) { ?>
<div class="clearfix"></div>
	<div id="mg-template-ad" class=" meta-ad-box meta-seprator">
		<a id="add-close-btn">x</a>
		<p class="mg-promo-template-title"><a target="_blank" href="<?php echo MG_ADDON_PAGE_LINK; ?>">If you are looking for other Layouts we offer the following</a></p>
		<div class="row"><!--row-top-margin-->
			<!--<div class="medium-13 columns medium-centered">-->
			<div class="medium-12 large-12 columns">
				
			<div class="small-2 medium-2 large-2 columns temp-ad-height">
							<a href="<?php echo MG_SLICK_SLIDER_LINK; ?>" target="_blank" >
				  <img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/slick-slider-1.png" />
				</a>
				<h5>
					<a href="<?php echo MG_SLICK_SLIDER_LINK; ?>" target="_blank" >SLICK SLIDER</a>
				</h5>
			</div> 				
			
			<div class="small-2 medium-2 large-2 columns temp-ad-height">
        <a href="<?php echo MG_IMAGE_CAROUSEL_LINK; ?>" target="_blank" >				
				  <img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/image-carousel-1.png" />
				</a>
				<h5>
					<a href="<?php echo MG_IMAGE_CAROUSEL_LINK; ?>" target="_blank" >IMAGE CAROUSE</a>
				</h5>
			</div>
			
			<div class="small-2 medium-2 large-2 columns temp-ad-height">
				<a href="<?php echo MG_IMAGE_SLIDER_LINK; ?>" target="_blank" >
				  <img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/image-slider-1.png" />
				</a>
				<h5>
					<a href="<?php echo MG_IMAGE_SLIDER_LINK; ?>" target="_blank" >IMAGE SLIDER</a>
				</h5>
			</div>

			<div class="small-2 medium-2 large-2 columns temp-ad-height">
				<a href="<?php echo MG_IMAGE_SHOWCASE_LINK; ?>" target="_blank" >
				  <img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/image-showcase-1.png" />
				</a>
				<h5>
					<a href="<?php echo MG_IMAGE_SHOWCASE_LINK; ?>" target="_blank" >IMAGE SHOWCASE</a>
				</h5>
			</div>
			
			<div class="small-2 medium-2 large-2 columns temp-ad-height">
				<a href="<?php echo MG_MASONRY_LINK; ?>" target="_blank" >
				  <img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/masonry-1.png" />
				</a>
				<h5>
					<a href="<?php echo MG_MASONRY_LINK; ?>" target="_blank" >MASONRY</a>
				</h5>
			</div>
				
			<div class="small-2 medium-2 large-2 columns temp-ad-height">
				<a href="<?php echo MG_VIDEO_SHOWCASE_LINK; ?>" target="_blank" >
				  <img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/video-showcase-1.png" />
				</a>
				<h5>
					<a href="<?php echo MG_VIDEO_SHOWCASE_LINK; ?>" target="_blank" >VIDEO SHOWCASE</a>
				</h5>
			</div>

			<div class="small-2 medium-2 large-2 columns temp-ad-height">
				<a href="<?php echo MG_ALBUMS_LINK ?>" target="_blank" >
				  <img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/albums-1.png" />
				</a>
				<h5>
					<a href="<?php echo MG_ALBUMS_LINK ?>" target="_blank" >ALBUMS</a>
				</h5>
			</div>
							
			<div class="small-2 medium-2 large-2 columns temp-ad-height">
							<a href="<?php echo MG_FWGRID_LINK; ?>" target="_blank" >
				  <img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/fw-grid.png" />
				</a>
				<h5>
					<a href="<?php echo MG_FWGRID_LINK; ?>" target="_blank" >FULL WIDTH GRID</a>
				</h5>
			</div> 								
				
			<div class="small-2 medium-2 large-2 columns temp-ad-height">
							<a href="<?php echo MG_HERO_LINK; ?>" target="_blank" >
				  <img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/hero-slider.png" />
				</a>
				<h5>
					<a href="<?php echo MG_HERO_LINK; ?>" target="_blank" >HERO SLIDER</a>
				</h5>
			</div> 												
				
		</div>
    </div>				
<!--		<div class="row">
			<div class="medium-12 columns medium-centered">
			
		</div> 	
		</div>row-->
		
		<p class="mg-promo-template-title"><a target="_blank" href="<?php echo MG_ADDON_PAGE_LINK; ?>">We offer the following Media Source Addons</a></p>		
		
		<div class="row">
			<div class="medium-12 columns medium-centered">

				<div class="small-3 medium-3 columns temp-ad-height">
					<a href="<?php echo MG_FACEBOOK_LINK; ?>" target="_blank" >
						<img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/facebook-1.png" />
					</a>
					<h5>
						<a href="<?php echo MG_FACEBOOK_LINK; ?>" target="_blank" ">FACEBOOK</a>
					</h5>
				</div>

				<div class="small-3 medium-3 columns temp-ad-height">
					<a href="<?php echo MG_VIMEO_LINK; ?>" target="_blank" >
						<img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/vimeo-1.png" />
					</a>
					<h5>
						<a href="<?php echo MG_VIMEO_LINK; ?>" target="_blank" >VIMEO</a>
					</h5>
				</div>

				<div class="small-3 medium-3 columns temp-ad-height">
					<a href="<?php echo MG_INSTAGRAM_LINK; ?>" target="_blank" >
						<img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/instagram-1.png" />
					</a>
					<h5>
						<a href="<?php echo MG_INSTAGRAM_LINK; ?>" target="_blank">INSTAGRAM</a>
					</h5>
				</div>

				<div class="small-3 medium-3 columns temp-ad-height">
					<a href="<?php echo MG_FLICKR_LINK; ?>" target="_blank" >
						<img class="mg-ad-image anime" width="99" height="89" src="<?php echo MAXGALLERIA_PLUGIN_URL ?>/images/templates/flickr-1.png" />
					</a>
					<h5>
						<a href="<?php echo MG_FLICKR_LINK; ?>" target="_blank" >FLICKR</a>
					</h5>
				</div>

			</div>		
		</div><!--row-->
		
	</div>
<?php } ?>
</div>
			
